<?php


global $pirii_site_layout;
$pirii_site_layout = array(
					'mz-sidebar-left' =>  esc_html__('Left Sidebar','pirii'),
					'mz-sidebar-right' => esc_html__('Right Sidebar','pirii'),
					'no-sidebar' => esc_html__('No Sidebar','pirii')
					);
$pirii_thumbs_layout = array(
					'landscape' =>  esc_html__('Landscape','pirii'),
					'portrait' => esc_html__('Portrait','pirii')
					);

if ( ! function_exists( 'pirii_setup' ) ) :

function pirii_setup() {

	load_theme_textdomain( 'pirii', get_template_directory() . '/languages' );

	
	add_theme_support( 'automatic-feed-links' );

	add_theme_support( 'post-thumbnails' );
	add_image_size( 'pirii-slider-thumbnail', 700, 390, true );
	add_image_size( 'pirii-large-thumbnail', 1140, 640, true );
	add_image_size( 'pirii-middle-thumbnail', 730, 476, true );
	add_image_size( 'pirii-author-thumbnail', 170, 170, true );
	add_image_size( 'pirii-small-thumbnail', 100, 80, true );

	register_nav_menus( array(
		'footer-menu' => esc_html__( 'Footer Menu', 'pirii' ),
		'primary' => esc_html__( 'Primary Menu', 'pirii' ),
	) );

		global $content_width;
	if ( ! isset( $content_width ) ) {
	$content_width = 1140; /* pixels */
	} 

	add_theme_support( 'html5', array(
		'comment-form', 'comment-list', 'gallery', 'caption'
	) );

	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );

		add_theme_support( 'editor-styles' );

		
		add_editor_style( 'editor-style.css' );


	add_theme_support( 'title-tag' );

	add_theme_support( 'custom-logo', array(
		'height'      => 77,
		'width'       => 240,
		'flex-width'  => false,
		'flex-height' => true,
	) );

}
endif; 
add_action( 'after_setup_theme', 'pirii_setup' );

if ( ! function_exists( 'pirii_the_custom_logo' ) ) :
function pirii_the_custom_logo() {
	
	if ((function_exists('the_custom_logo'))&&(has_custom_logo())) {
		the_custom_logo();
	} else {
		
		echo '<hgroup><h1><a href="' . esc_url(home_url('/')) . '" rel="home">' . esc_html(get_bloginfo('name')) . '</a></h1><div class="description">'.esc_html(get_bloginfo('description')).'</div></hgroup>';
	}
}
endif; 

if ( ! function_exists( 'pirii_content_bootstrap_classes' ) ) :
function pirii_content_bootstrap_classes() {
	if ( is_page_template( 'template-fullwidth.php' ) ) {
		return 'col-md-12';
	}
	return 'col-md-8';
}
endif; 

if ( ! function_exists( 'wp_body_open' ) ) {
	function wp_body_open() {
		do_action( 'wp_body_open' );
	}
}

function pirii_cats() {
	$cats = array();
	$cats[0] = esc_html__("All", "pirii");
	
	foreach ( get_categories() as $categories => $category ) {
		$cats[$category->term_id] = $category->name;
	}

	return $cats;
}

include( get_template_directory() . '/inc/wp_bootstrap_navwalker.php');

if ( ! function_exists( 'pirii_header_menu' ) ) :

function pirii_header_menu() {

	$pirii_menu_center = get_theme_mod( 'pirii_menu_center' );


	$pirii_add_center_class = "";
	if ( true == $pirii_menu_center ) {
		$pirii_add_center_class = " navbar-center";
	}

	wp_nav_menu(array(
		'theme_location'    => 'primary',
		'depth'             => 3,
		'container'         => 'div',
		'container_class'   => 'collapse navbar-collapse navbar-ex2-collapse'.$pirii_add_center_class,
		'menu_class'        => 'nav navbar-nav',
		'fallback_cb'       => 'pirii_bootstrap_navwalker::fallback',
		'walker'            => new pirii_bootstrap_navwalker()
	));
}
endif;

if ( ! function_exists( 'pirii_top_menu' ) ) :

function pirii_top_menu() {

	wp_nav_menu(array(
		'theme_location'    => 'top-menu',
		'depth'             => 2,
		'container'         => 'div',
		'container_class'   => 'collapse navbar-collapse navbar-ex1-collapse',
		'menu_class'        => 'nav navbar-nav',
		'fallback_cb'       => 'pirii_bootstrap_navwalker::fallback',
		'walker'            => new pirii_bootstrap_navwalker()
	));
}
endif;


if ( ! function_exists( 'pirii_fonts_url' ) ) :

function pirii_fonts_url() {
	$fonts_url = '';
	$fonts     = array();
	$subsets   = 'latin,latin-ext';

	if ( 'off' !== _x( 'on', 'Muli font: on or off', 'pirii' ) ) {
		$fonts[] = 'Muli:400,400italic,600,600italic,700,700italic,800,800italic,900,900italic';
	}

	if ( 'off' !== _x( 'on', 'Open Sans font: on or off', 'pirii' ) ) {
		$fonts[] = 'Open Sans:400,500,700';
	}

	if ( $fonts ) {
		$fonts_url = add_query_arg( array(
			'family' => urlencode( implode( '|', $fonts ) ),
			'subset' => urlencode( $subsets ),
		), '//fonts.googleapis.com/css' );
	}

	return $fonts_url;
}
endif;

function pirii_scripts() {

wp_enqueue_style( 'pirii-webfonts', pirii_fonts_url(), array(), null, null );

	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.min.css' );
	wp_enqueue_style( 'font-awesome', get_template_directory_uri().'/css/font-awesome.min.css' );

	wp_enqueue_style( 'pirii-style', get_stylesheet_uri() );

	wp_enqueue_script( 'bootstrap', get_template_directory_uri().'/js/bootstrap.min.js', array('jquery') );
	wp_enqueue_script( 'jquery-slick', get_template_directory_uri() . '/js/slick.min.js', array('jquery') );
	wp_enqueue_script( 'pirii-js', get_template_directory_uri().'/js/pirii.js', array('jquery') );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
	wp_enqueue_script( 'comment-reply' );
	}

}
add_action( 'wp_enqueue_scripts', 'pirii_scripts' );

if (!function_exists('pirii_custom_css_output'))  {
	function pirii_custom_css_output() {

		$pirii_accent_color = get_theme_mod( 'pirii_accent_color' );

		echo '<style type="text/css" id="pirii-custom-theme-css">';

		if ( $pirii_accent_color != "") {
			echo '.widget-title span, .widget ul li a:hover { box-shadow: ' . esc_attr($pirii_accent_color) . ' 0 -3px 0 inset;}' .
			'.nav>li>a:focus, .nav>li>a:hover, .dropdown-menu>li>a:focus, .dropdown-menu>li>a:hover, .post-header .cat a:hover, #back-top a { background-color: ' . esc_attr($pirii_accent_color) . '; }' .
			'.post-header .cat a, .page-numbers li a, .widget_tag_cloud a, .widget_tag_cloud a:hover { border-color: ' . esc_attr($pirii_accent_color) . '; }' .
			'.post-meta span i, .post-header span i, blockquote:before { color: ' . esc_attr($pirii_accent_color) . '; }' .
			'.read-more a, .ot-widget-about-author .author-post .read-more a, .null-instagram-feed p a, button, input[type="button"], input[type="reset"], input[type="submit"], .comments-title { background-color:' . esc_attr($pirii_accent_color) . '}' .
			'.comment-reply-link:hover, .comment-reply-login:hover, .page-numbers .current, .page-numbers li a:hover, .ot-widget-socials a, .widget_search button { border-color: ' . esc_attr($pirii_accent_color) . '; background-color: ' . esc_attr($pirii_accent_color) . ';}';
		}

		echo '</style>';

	}
}
add_action( 'wp_head', 'pirii_custom_css_output');

require get_template_directory() . '/inc/extras.php';
require get_template_directory() . '/inc/customizer.php';

add_filter( 'dynamic_sidebar_params', 'pirii_check_sidebar_params' );
function pirii_check_sidebar_params( $params ) {
	global $wp_registered_widgets;

	$settings_getter = $wp_registered_widgets[ $params[0]['widget_id'] ]['callback'][0];
	$settings = $settings_getter->get_settings();
	$settings = $settings[ $params[1]['number'] ];

	if ( $params[0][ 'after_widget' ] == '</div></div>' && isset( $settings[ 'title' ] ) && empty( $settings[ 'title' ] ) )
		$params[0][ 'before_widget' ] .= '<div class="content">';

	return $params;
}

function pirii_widgets_init() {

	register_sidebar( array(
		'name'          => __( 'Primary Sidebar', 'pirii' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Main sidebar that appears on the left.', 'pirii' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<div class="widget-title">',
		'after_title'   => '</div>',
	) );

}
add_action( 'widgets_init', 'pirii_widgets_init' );

function pirii_footer_credits() {
	$pirii_footer_text = sanitize_text_field ( get_theme_mod( 'pirii_footer_text' ) );
	?>
	<div class="site-info">
	<?php if ($pirii_footer_text == '') { ?>
	&copy; <?php bloginfo( 'name' ); ?><?php esc_html_e('. All rights reserved.', 'pirii'); ?>
	<?php } else { echo esc_html( $pirii_footer_text ); } ?>
	</div><!-- .site-info -->
<!-- Aemy Design -->
<?php 
printf( esc_html__( 'Theme by %1$s Powered by %2$s', 'pirii' ) , '<a href="https://aemydesign.sosugary.com/" rel="nofollow" target="_blank">Aemy Design</a>', '<a href="http://wordpress.org/" target="_blank">WordPress</a>');
}
add_action( 'pirii_footer', 'pirii_footer_credits' );

add_filter('wp_list_categories', 'pirii_cat_count_span');
function pirii_cat_count_span($links) {
	$links = str_replace('</a> (', '</a> <span>', $links);
	$links = str_replace(')', '</span>', $links);
	return $links;
}

function pirii_excerpt_length( $length ) {
	if ( is_admin() ) {
		return $length;
	}
	return 40;
}
add_filter( 'excerpt_length', 'pirii_excerpt_length', 999 );