<?php

function pirii_theme_options( $wp_customize ) {
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
}

add_action( 'customize_register' , 'pirii_theme_options' );

function pirii_customizer( $wp_customize ) {

	global $pirii_site_layout;


	$wp_customize->add_setting( 'pirii_accent_color', array(
		'default'        => '#ffc3bd',
		'sanitize_callback' => 'pirii_sanitize_hexcolor',
		'transport'  =>  'refresh',
	));

	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'pirii_accent_color', array(
		'label'     => __('Accent color','pirii'),
		'section'   => 'colors',
		'priority'  => 1,
	)));



	$wp_customize->add_section('pirii_layout_section', 
		array(
			'priority' => 32,
			'title' => __('Layout options', 'pirii'),
			'description' => __('Choose website layout', 'pirii'),
			)
		);


		$wp_customize->add_setting('pirii_sidebar_position', array(
			'default' => 'mz-sidebar-right',
			'sanitize_callback' => 'pirii_sanitize_layout'
		));

		$wp_customize->add_control('pirii_sidebar_position', array(
			'priority'  => 1,
			'label' => __('Website Layout Options', 'pirii'),
			'section' => 'pirii_layout_section',
			'type'    => 'select',
			'description' => __('Choose between different layout options to be used as default', 'pirii'),
			'choices'    => $pirii_site_layout
		));


	$wp_customize->add_setting( 'pirii_footer_text', array(
		'default'        => '',
		'sanitize_callback' => 'pirii_sanitize_input',
		'transport'  =>  'refresh',
	));

	$wp_customize->add_control( 'pirii_footer_text', array(
		'label'     => __('Footer Copyright Text','pirii'),
		'section'   => 'title_tagline',
		'priority'    => 31,
	));



	}

add_action( 'customize_register', 'pirii_customizer' );


function pirii_sanitize_input($input ) {
	return wp_kses_post( force_balance_tags( $input ) );
}


function pirii_sanitize_checkbox( $input ) {
	if ( $input == 1 ) {
		return 1;
	} else {
		return '';
	}
}


function pirii_sanitize_number($input) {
	if ( isset( $input ) && is_numeric( $input ) ) {
		return $input;
	}
}


function pirii_sanitize_layout( $input ) {
	global $pirii_site_layout;
	if ( array_key_exists( $input, $pirii_site_layout ) ) {
		return $input;
	} else {
		return '';
	}
}


function pirii_sanitize_thumbs( $input ) {
	global $pirii_thumbs_layout;
	if ( array_key_exists( $input, $pirii_thumbs_layout ) ) {
		return $input;
	} else {
		return '';
	}
}


function pirii_sanitize_hexcolor($color)
{
	if ($unhashed = sanitize_hex_color_no_hash($color)) {
		return '#'.$unhashed;
	}

	return $color;
}